
Redmine - Defect #28774

Internal Error when Submit the Description with Vietnamese in Unicode fonts

2018-05-15 08:48 - De Dang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.4.5

Description

Hi Team,

I am evaluating redmine features and when i submit an issue with Vietnamese unicode fonts in Description text area of the issue. I

got the error on browser:

"

Internal error

"

in Redmine Log, I got this error message:

"

rdmine Mysql2::Error: Incorrect string value

"

Could you please advise me how to resolve the problem on my test server.

Thanks,

De

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2018-05-15 10:05 - De Dang

This error just happens when Update 1 issue. Creating a new issue with description in vietnamese is no problem.

#2 - 2018-05-15 10:44 - De Dang

- Status changed from New to Resolved

I converted redmine tables to utf8mb4. The problem is resolved.

#3 - 2019-08-17 18:11 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

#4 - 2019-08-17 18:12 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

#5 - 2019-08-17 18:12 - Marius BĂLTEANU

- Resolution changed from Duplicate to Fixed
